Page MenuHomePhabricator

QA the no-JS experience of Partial Blocks by filing all defects in Phab
Closed, ResolvedPublic3 Story Points

Event Timeline

TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.
IKhitron removed a subscriber: IKhitron.Sep 21 2018, 6:23 PM
TBolliger moved this task from Backlog to Snackbox on the Anti-Harassment board.Sep 26 2018, 5:22 PM
TBolliger triaged this task as Low priority.Nov 26 2018, 8:18 PM
TBolliger moved this task from Snackbox to Backlog on the Anti-Harassment board.Jan 30 2019, 11:05 PM
TBolliger renamed this task from Ensure the no-JS experience of Partial Blocks is up to our standards by fixing or filing all defects in Phab to QA the no-JS experience of Partial Blocks by filing all defects in Phab.Feb 21 2019, 7:35 PM
TBolliger assigned this task to dom_walden.
TBolliger set the point value for this task to 3.

With JS, a number of checkboxes become disabled depending on the block parameters entered in the form. Obviously this doesn't happen without JS, which can make the experience misleading (e.g. T227199#5321559).

I believe all known defects with Partial blocks have been filed already. @dom_walden would you like this to be kept open?

dom_walden closed this task as Resolved.Thu, Nov 14, 4:54 PM
dom_walden moved this task from Ready to Done on the Anti-Harassment (The Letter Song) board.

I believe all known defects with Partial blocks have been filed already. @dom_walden would you like this to be kept open?

I think you are right. I will move into done and resolved.

I briefly retested Special:Block with JS disabled, on Safari 10 and IE11, just in case. Concentrated on how the form validated input. I could see no problems.